// Fill out your copyright notice in the Description page of Project Settings.


#include "Cube.h"

// Sets default values
ACube::ACube()
{
	// Set this pawn to call Tick() every frame.  You can turn this off to improve performance if you dont need it.
	PrimaryActorTick.bCanEverTick = true;

	static ConstructorHelpers::FObjectFinder<UStaticMesh>C(TEXT("StaticMesh'/Game/Shapes/1M_Cube_Chamfer.1M_Cube_Chamfer'"));

	UStaticMeshComponent* Cube = CreateDefaultSubobject<UStaticMeshComponent>("Cube");
	Cube->SetupAttachment(RootComponent);
	Cube->SetStaticMesh(C.Object);
}

// Called when the game starts or when spawned
void ACube::BeginPlay()
{
	Super::BeginPlay();
	
}

// Called every frame
void ACube::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

	// C++ version of tick
	FString m = "Cube is ticking from c++ Delta :" + FString::SanitizeFloat(DeltaTime);
	ShowMessage(m, FColor::Orange,2);
	
}


void ACube::ShowMessage(FString Message, FColor Color, int32 key) 
{
	if (GEngine) {
		GEngine->AddOnScreenDebugMessage(key, 1, Color, Message);
	}
}